#pragma once
#include "afxwin.h"


// CDialogOXYSet 对话框

class CDialogOXYSet : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogOXYSet)

public:
	CDialogOXYSet(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogOXYSet();

// 对话框数据
	enum { IDD = IDD_DIALOG_OXY_SET };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	CComboBox m_ComboxOxyAlmSw;
	CComboBox m_ComboxOxyAlmLevel;
	CComboBox m_ComboxOxyAlmRec;
	virtual BOOL OnInitDialog();
	afx_msg void OnCbnSelchangeComboOxySetAlmSw();
	afx_msg void OnCbnSelchangeComboOxySetAlmLevel();
	afx_msg void OnCbnSelchangeComboOxySetAlmRec();
	CEdit m_EditOxyAlmH;
	CEdit m_EditOxyAlmL;
	CEdit m_EditOxyPRAlmH;
	CEdit m_EditOxyPRAlmL;
	virtual BOOL PreTranslateMessage(MSG* pMsg);
private:
	CString input_OxyAlmH_check(CString & cs);
	CString input_OxyAlmL_check(CString & cs);
	CString input_PRAlmH_check(CString & cs);
	CString input_PRAlmL_check(CString & cs);
};
